Last Comment Bug 172389 - keyword: URL displayed after using Internet Keywords
: keyword: URL displayed after using Internet Keywords
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Windows 98
: -- normal (vote)
: ---
Assigned To: Blake Ross
: Asa Dotzler [:asa]
:
Mentors:
mozilla
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-03 09:49 PDT by benc
Modified: 2004-09-18 21:55 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description benc 2002-10-03 09:49:38 PDT
STEPS:
type "mozilla" into toolbar & hit return.

wait for DNS lookups of "mozilla" to fail, then see "keyword:mozilla" get sent
to the google keyword server.

OBSERVED RESULTS:
keyword:mozilla is displayed in URL bar when search page loads

EXPECTED RESULTS:
In mozilla, the URL of the actual search page result is displayed.

COMMENTS:
I don't really care if it does that, I'm just noting it because it is part of my
tests. I think IK is too transparent in Mozilla trunk, because that emulated
Communicator's design, and the result was a lot of confusion and
misunderstanding about how it worked.
Comment 1 Asa Dotzler [:asa] 2002-10-03 16:49:56 PDT
We're actaully handing off to a search but using the keyword backend to make
that handoff. Not sure if it matters too much. Blake?
Comment 2 benc 2002-10-04 01:10:54 PDT
Asa and I figured this out while talking today.

I have a personal keyword server, and sometimes it would leave keyword: in the
URL bar and other times it doesn't...

In Netscape 7, the keyword server is returning a HTTP redirect, that contains
the search URL. This overwrites the URL bar, as well as causing the search query
to run.

In Phoenix, the google server is simply returning a search page result directly.
Comment 3 Blake Ross 2002-11-05 05:47:15 PST
So is this a bug?
Comment 4 benc 2002-11-09 18:22:06 PST
Nobody has shown me any design specs for keyword: so how about "I don't care?"

I think, from the perspective of URL bar, it should display the actual URL that
was gotten, so maybe the answer is yes?
Comment 5 Asa Dotzler [:asa] 2002-11-23 12:40:15 PST
We've dropped the keyword search as a feature and moved to Google's I'm feeling
lucky. Searching happens in the search field now. That renders this issue moot.
Comment 6 benc 2002-12-02 14:45:31 PST
VERIFIED/INVALID

I'll modify my test suite to reflect this.
Comment 7 benc 2002-12-12 11:33:00 PST
While updating the IK documentation for mozilla/mozilla, I realized that I
should have bugged you about one last point:

If you want searching to go on ONLY in the search bar, what you really want to
do is turn this feature OFF, by flipping the "keyword.URL" pref.

I've written the documentation to reflect the current state of affairs for now.
Comment 8 benc 2002-12-17 01:35:22 PST
RESOLVED/FIXED
I finally had a chance to look at Phoenix 0.4 w/ Jag today.

I think in 0.3 or 0.4, the default got changed to google's "I got lucky" engine,
which returns a URL redirect.

I didn't realize what asa REALLY meant in his last comment, which was that he
had change the keyword.URL value to something that made this go away.
Comment 9 Brant Gurganus 2003-07-17 20:21:15 PDT
VERIFIED Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5a) Gecko/20030714
Mozilla Firebird/0.6

Note You need to log in before you can comment on or make changes to this bug.